<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-workflow-data-side-menu
  (appSubmit)="submit($event)"
  [appDisabled]="appFormGroup.disabled"
  [appErrorMessage]="(appErrorMessage$ | async)?.errorMessage"
  [appLoading]="isStatementLoading$ | async"
  [appStatementId]="(task$ | async)?.statementId"
  [appTaskId]="(task$ | async)?.taskId"
  [showClaimDetails]="configuration.claimDetails?.displayClaimDetails && !initializing"
  [claimDetails]="claimDetails$ | async">
</app-workflow-data-side-menu>

<ng-container [formGroup]="appFormGroup">

  <app-statement-details-information
    [appCollapsed]="true"
    [appContactInfo]="(statement$ | async)?.contactInfo"
    [appStatementInfo]="(statement$ | async)?.info"
    class="statement-details">
  </app-statement-details-information>

  <app-statement-details-attachments
    [appCollapsed]="true"
    class="statement-details">
  </app-statement-details-attachments>

  <app-collapsible
    [appTitle]="'workflowDataForm.container.geographicPosition' | translate">

    <app-map-select
      (appOpenGis)="openGis($event)"
      [appCenter]="geographicPosition$ | async"
      [formControlName]="'geographicPosition'"
      class="geographic-position">
    </app-map-select>

  </app-collapsible>

  <app-collapsible
    [appTitle]="'workflowDataForm.container.departments' | translate">

    <app-select-group
      [appGroups]="departmentGroups$ | async"
      [appIndeterminate]="true"
      [appOptions]="departmentOptions$ | async"
      [formControlName]="'departments'"
      class="departments">
    </app-select-group>

  </app-collapsible>

  <app-collapsible
    [appTitle]="('workflowDataForm.container.linkedIssues' | translate) + ' (' + appFormGroup.value.parentIds?.length + ')'">

    <app-statement-select
      (appSearch)="search($event)"
      [appIsLoading]="isStatementLoading$ | async"
      [appSearchContent]="searchContent$ | async"
      [appStatementTypeOptions]="statementTypes$ | async"
      [formControlName]="'parentIds'"
      class="parents">

    </app-statement-select>
  </app-collapsible>

  <ng-content>
  </ng-content>

</ng-container>
